oEmbed discovery for donation widget

Returns a JSON oEmbed document for a campaign widget URL (url query must end with /gift/{slug}). Non-JSON formats return HTTP 501 per oEmbed.

Query Parameters
  • url
    Type: stringFormat: uri
    required

    Page URL whose path ends with /gift/{campaign_slug}.

  • format
    enum
    const:  
    json

    Response format; only json is supported.

    values
    • json
  • maxwidth
    Type: number
  • maxheight
    Type: number
Responses
  • application/json
  • 404

    Campaign not found for the slug parsed from url.

  • 501

    Requested format is not implemented (use json).

Request Example for get/v1/public/oembed
curl 'https://api.infinitegiving.com/v1/public/oembed?url=https%3A%2F%2Fgive.example.com%2Fgift%2Fspring-gala-fund&format=json&maxwidth=540&maxheight=915'
{
  "version": "1.0",
  "type": "rich",
  "provider_name": "string",
  "provider_url": "https://example.com",
  "width": 1,
  "height": 1,
  "title": "string",
  "author_name": "string",
  "html": "string"
}